--- xfsprogs.SlackBuild	2006-08-03 21:26:50.000000000 -0400
+++ xfsprogs.SlackBuild.s390x	2006-08-07 14:39:23.000000000 -0400
@@ -37,8 +37,8 @@
 
 ./configure \
   --prefix=/usr \
-  --libdir=/lib \
-  --libexecdir=/usr/lib \
+  --libdir=/lib64 \
+  --libexecdir=/usr/lib64 \
   --sbindir=/sbin \
   --bindir=/usr/sbin \
   --enable-shared=yes \
@@ -48,6 +48,7 @@
   --datadir=/usr/share
 
 make || exit 1
+set -x
 make install DIST_ROOT=$PKG
 make install-dev DIST_ROOT=$PKG
 make install-lib DIST_ROOT=$PKG
@@ -60,23 +61,23 @@
   $PKG/usr/doc/xfsprogs-$VERSION
 
 # Remove bogus files:
-rm -f $PKG/lib/*.a $PKG/lib/*.so $PKG/lib/*.la $PKG/usr/lib/*.la
-# Make /usr/lib/libhandle.so a symlink to /lib/libhandle.so.1:
-if [ -f $PKG/lib/libhandle.so.1 ]; then
-  ( cd $PKG/usr/lib ; rm -f libhandle.so ; ln -sf /lib/libhandle.so.1 libhandle.so )
+rm -f $PKG/lib64/*.a $PKG/lib64/*.so $PKG/lib64/*.la $PKG/usr/lib64/*.la
+# Make /usr/lib64/libhandle.so a symlink to /lib64/libhandle.so.1:
+if [ -f $PKG/lib64/libhandle.so.1 ]; then
+  ( cd $PKG/usr/lib64 ; rm -f libhandle.so ; ln -sf /lib64/libhandle.so.1 libhandle.so )
 else
   exit 1
   # and fix your script!  ;-)
 fi
 # Fix shared library perms:
-chmod 755 $PKG/lib/*
+chmod 755 $PKG/lib64/*
 
 # Strip libraries:
 ( cd $PKG
   find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
   find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
 )
-strip -g $PKG/usr/lib/*.a
+strip -g $PKG/usr/lib64/*.a
 
 mkdir -p $PKG/install
 cat $CWD/slack-desc > $PKG/install/slack-desc
